#include <taihen.h>
#include <vitasdk.h>
#include <stdint.h>

static int hook = -1;
static tai_hook_ref_t ref_hook;

static int sceIoGetstat_patched(char* path) {
	int ret;
	ret = TAI_CONTINUE(int, ref_hook,path);
	if(ret >= 0){
		if(strstr(path, "AUTOPLUG2")){
			return 0x80010002;
		}
	}
	return ret;
}
void _start() __attribute__ ((weak, alias ("module_start")));
int module_start(SceSize argc, const void *args)
{
//          sceIoGetstat: 0xBCA5B623
	hook = taiHookFunctionImport(
		&ref_hook,
		TAI_MAIN_MODULE,
		TAI_ANY_LIBRARY,
		0xBCA5B623,
		sceIoGetstat_patched);
	return SCE_KERNEL_START_SUCCESS;
}

int module_stop(SceSize argc, const void *args)
{
	if (hook >= 0) taiHookRelease(hook, ref_hook);   
	return SCE_KERNEL_STOP_SUCCESS;
}
